Bug 255027 - Fonts used in practise wiindow are too small for people with eye problems
Summary: Fonts used in practise wiindow are too small for people with eye problems
Status: RESOLVED FIXED
Alias: None
Product: parley
Classification: Unclassified
Component: general (show other bugs)
Version: 0.9.4
Platform: Debian stable Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: parley bug tracker
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-23 11:15 UTC by Juergen
Modified: 2011-02-14 06:02 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.5.4


Attachments
screenshot 1 with Thai and English at default system font size (6.24 KB, image/png)
2011-02-12 02:44 UTC, Martin
Details
Example 2 - Thai fonts are not readable while English is perfect at default system font size (6.01 KB, image/png)
2011-02-12 02:50 UTC, Martin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen 2010-10-23 11:15:41 UTC
Version:           0.9.4 (using KDE 4.5.1) 
OS:                Linux

Fonts used in practise wiindow are too small for people with eye problems

Reproducible: Always

Steps to Reproduce:
Open the practise window
Comment 1 Juergen 2010-10-26 03:16:49 UTC
Could somebody tell me where I can change the fonts myself. Where are these settings? I really have problems reading them easily. The actual practise area and it's font is the smallest part of the whole theme. Isn't that strange that the most important part is so small while the decorations use up so much space.
Comment 2 Daniel Laidig 2010-11-23 22:16:20 UTC
fixed in r1200060 and r1200070
Comment 3 Juergen 2010-11-24 04:00:08 UTC
What exactly does this mean? "fixed in r1200060 and r1200070"

Which Parley version will that be?
Comment 4 Daniel Laidig 2010-11-24 17:11:19 UTC
It will be in 4.5.4 which should be released November 30th, 2010.
Comment 5 Martin 2011-02-12 02:44:58 UTC
Created attachment 57175 [details]
screenshot 1 with Thai and English at default system font size

Screenshot showing that Thai fonts are not readable while English is perfect at default system font size
Comment 6 Martin 2011-02-12 02:47:33 UTC
In my humble opinion this bug is not resolved. The situation has improved though. Linking the font size in the practice window to the default system font allows to be able to at least read the words in most, if not all Western languages.

However still, the process of memorizing the words would be, imho, improved if the font could be much bigger.

Then there is the case of non-western languages. Let's take the Thai language as an example. Thai letters have not only 1, but 2 additional layers above a letter. German for example has just one, see the umlauts öäü etc. On top of that, or better said, at the bottom, Thai has another layer under the letter.

Which means that at a default system font size which is perfect for western languages the Thai letters are only possible to read if you actually know the word, meaning you can guess it. obviously, when you try to learn a word, you don't know it, guessing is not what you should do when learning.

Therefore I think that the only way to really solve this bug is to let the user configure the font here (and wherever words are shown), as you have done it already for the table font.

Please see the screenshot example, I think it shows the problem clearly.

Thanks,
Martin
Comment 7 Martin 2011-02-12 02:50:11 UTC
Created attachment 57176 [details]
Example 2 - Thai fonts are not readable while English is perfect at default system font size

A second screenshot showing that Thai fonts are not readable while English is perfect at default system font size
Comment 8 Martin 2011-02-12 02:59:57 UTC
To complete the post above: I'm using Parley 0.9.4 on KDE 4.6

I don't see how I can reopen this bug. If I should open a new one instead then please let me know.

Thanks,
Martin
Comment 9 Daniel Laidig 2011-02-12 11:30:25 UTC
i agree that having an option for the practice font size is a good idea

please open a new bug the keep the issues separate
Comment 10 Martin 2011-02-14 06:02:31 UTC
As proposed I opened a new bug for adding the option to configure the practice font size: Bug 266263